aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoreschnett <eschnett@fb53df36-e548-4a1e-8150-ab98cbd5e786>2010-06-30 22:29:54 +0000
committereschnett <eschnett@fb53df36-e548-4a1e-8150-ab98cbd5e786>2010-06-30 22:29:54 +0000
commit1d3cd3108167c7dd9368fb16e807c82bc7f001b8 (patch)
treec01a93723a2c91bd10262ee289e2b01c12837808
parent4890561c57eab0cb12b4975289d9c77423afd32a (diff)
Use gmake if necessary.
Support AIX, where we need to use the 64-bit mode. git-svn-id: http://svn.cactuscode.org/projects/ExternalLibraries/HDF5/trunk@12 fb53df36-e548-4a1e-8150-ab98cbd5e786
-rw-r--r--HDF5.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/HDF5.sh b/HDF5.sh
index 2d4f817..aa1f07c 100644
--- a/HDF5.sh
+++ b/HDF5.sh
@@ -53,14 +53,17 @@ if [ -z "${HDF5_DIR}" ]; then
echo "END MESSAGE"
# Set locations
- NAME=hdf5-1.8.4
+ NAME=hdf5-1.8.5
SRCDIR=$(dirname $0)
INSTALL_DIR=${SCRATCH_BUILD}
HDF5_DIR=${INSTALL_DIR}/${NAME}
- # Clean up environment
+ # Set up environment
unset LIBS
unset MAKEFLAGS
+ if echo '' ${ARFLAGS} | grep 64 > /dev/null 2>&1; then
+ export OBJECT_MODE=64
+ fi
(
exec >&2 # Redirect stdout to stderr
@@ -74,6 +77,9 @@ if [ -z "${HDF5_DIR}" ]; then
else
echo "HDF5: Building enclosed HDF5 library"
+ # Should we use gmake or make?
+ MAKE=$(gmake --help > /dev/null 2>&1 && echo gmake || echo make)
+
echo "HDF5: Unpacking archive..."
rm -rf build-${NAME}
mkdir build-${NAME}
@@ -90,10 +96,10 @@ if [ -z "${HDF5_DIR}" ]; then
./configure --prefix=${HDF5_DIR}
echo "HDF5: Building..."
- make
+ ${MAKE}
echo "HDF5: Installing..."
- make install
+ ${MAKE} install
popd
echo 'done' > done-${NAME}